Subject: Re: In CVS Emacs, calc-eval gives multiplication higher precidence than division

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Sep 2008 15:46:52 -0400

> That's not a bug.  While many systems give division a higher precendence
> than multiplication, that isn't a universal rule.

Actually, I don't know of any system that gives higher precedence to
division.  The general rule that (AFAIK) all programming languages
follow (other than those that don't use infix-with-precedence, such as
Lisp and Smalltalk) is that * and / have the same precedence (and are
left associative).

I think Calc is plainly wrong is giving higher precedence to the
multiplication because it's completely non standard.  But since I don't
use Calc much and since it's been that way for a while, I won't fight
for it.

        Stefan